### Enumeration

# Gtk StateFlags

#### Declaration

    flags Gtk.StateFlags

#### Description [src]

Describes a widget state.

Widget states are used to match the widget against CSS pseudo-classes. Note that GTK extends the regular CSS classes and sometimes uses different names.

#### Members

`GTK_STATE_FLAG_NORMAL`

  State during normal operation.

  - Value: `0`
  - Available since: 4.0
`GTK_STATE_FLAG_ACTIVE`

  Widget is active.

  - Value: `1`
  - Available since: 4.0
`GTK_STATE_FLAG_PRELIGHT`

  Widget has a mouse pointer over it.

  - Value: `2`
  - Available since: 4.0
`GTK_STATE_FLAG_SELECTED`

  Widget is selected.

  - Value: `4`
  - Available since: 4.0
`GTK_STATE_FLAG_INSENSITIVE`

  Widget is insensitive.

  - Value: `8`
  - Available since: 4.0
`GTK_STATE_FLAG_INCONSISTENT`

  Widget is inconsistent.

  - Value: `16`
  - Available since: 4.0
`GTK_STATE_FLAG_FOCUSED`

  Widget has the keyboard focus.

  - Value: `32`
  - Available since: 4.0
`GTK_STATE_FLAG_BACKDROP`

  Widget is in a background toplevel window.

  - Value: `64`
  - Available since: 4.0
`GTK_STATE_FLAG_DIR_LTR`

  Widget is in left-to-right text direction.

  - Value: `128`
  - Available since: 4.0
`GTK_STATE_FLAG_DIR_RTL`

  Widget is in right-to-left text direction.

  - Value: `256`
  - Available since: 4.0
`GTK_STATE_FLAG_LINK`

  Widget is a link.

  - Value: `512`
  - Available since: 4.0
`GTK_STATE_FLAG_VISITED`

  The location the widget points to has already been visited.

  - Value: `1024`
  - Available since: 4.0
`GTK_STATE_FLAG_CHECKED`

  Widget is checked.

  - Value: `2048`
  - Available since: 4.0
`GTK_STATE_FLAG_DROP_ACTIVE`

  Widget is highlighted as a drop target for DND.

  - Value: `4096`
  - Available since: 4.0
`GTK_STATE_FLAG_FOCUS_VISIBLE`

  Widget has the visible focus.

  - Value: `8192`
  - Available since: 4.0
`GTK_STATE_FLAG_FOCUS_WITHIN`

  Widget contains the keyboard focus.

  - Value: `16384`
  - Available since: 4.0